Subject: mplsLdpEntityIndex

From: "Anil Gunturu" <[email-masked]>
Date: Mon, 12 Mar 2001 02:04:54 -0800

I know that this issue has a been addressed before. But, I am still unclear
on the concept of mplsLdpEntityIndex.

1. If I have an LSR (A) communicating with two peers (P1 & P2) on the same
ethernet and A is using platform-wide adressing, will I have two entries in
the mplsLdpEntityTable?

            |------- P1
 A:0--------|
            |------- P2

Section 3.1 in the draft-mib seem to indicate that there will be two
entries.

Also, is it possible for A to use different label spaces for p1 and P2?

2. What about in the case where A and B are connected over an Ethernet link
and a PPP link. B is using interface specific space and A is using platform
wide space?
        Ether
 <A:0>-------------<B:1>
 <A:0>-------------<B:2>
        PPP
My guess is there are two entries in the mplsLdpEntityTable.

3. A abd B are connected over Ethernet and PPP links, but both of them are
using platform-wide label space.
        Ether
 <A:0>-------------<B:0>
 <A:0>-------------<B:0>
        PPP

Is there only one entry in this case?

Thanks,
-Anil

Anil Gunturu, Software Engineer
Ericsson, Inc                           phone: (805) 562 6431
Datacom & IP Services                   email: [email-masked]
70 Castilian Dr, Santa Barbara, CA-93117